Bug 1221642 (CVE-2015-1159) - CVE-2015-1159 cups: cross-site scripting flaw in CUPS web UI (VU#810572)
Summary: CVE-2015-1159 cups: cross-site scripting flaw in CUPS web UI (VU#810572)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-1159
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1229979 1229982 1229983 1229984 1229985
Blocks: 1221644
TreeView+ depends on / blocked
 
Reported: 2015-05-14 13:24 UTC by Martin Prpič
Modified: 2019-09-29 13:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A cross-site scripting flaw was found in the cups web templating engine. An attacker could use this flaw to bypass the default configuration settings that bind the CUPS scheduler to the 'localhost' or loopback interface.
Clone Of:
Environment:
Last Closed: 2015-06-18 04:00:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1123 normal SHIPPED_LIVE Important: cups security update 2015-06-18 01:05:56 UTC

Description Martin Prpič 2015-05-14 13:24:28 UTC
The following flaw was found in CUPS:

A cross-site scripting bug in the CUPS templating engine allows this bug to be exploited when a user browses the web. This XSS is reachable in the default configuration for Linux instances of CUPS, and allows an attacker to bypass default configuration settings that bind the CUPS scheduler to the 'localhost' or loopback interface.

Acknowledgements:

Red Hat would like to thank the CERT/CC for reporting this issue.

Comment 2 Huzaifa S. Sidhpurwala 2015-06-10 04:58:49 UTC
Public via:

https://www.cups.org/str.php?L4609

Comment 3 Huzaifa S. Sidhpurwala 2015-06-10 05:22:02 UTC
Created cups tracking bugs for this issue:

Affects: fedora-all [bug 1229979]

Comment 5 errata-xmlrpc 2015-06-17 21:06:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:1123 https://rhn.redhat.com/errata/RHSA-2015-1123.html

Comment 8 Fedora Update System 2015-06-21 00:20:56 UTC
cups-2.0.3-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-06-21 00:35:54 UTC
cups-1.7.5-17.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Vincent Danen 2015-06-29 21:55:09 UTC
Statement:

This issue affects the version of cups package as shipped with Red Hat Enterprise Linux 5.  Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Important security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.